petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMForestGetWeightCapacity

Set the capacity of the current process when repartitioning a pre-adaptation forest (see DMForestGetAdaptivityForest()). After partitioning, the ratio of the weight of each process's cells to the process's capacity will be roughly equal for all processes. A capacity of 0 indicates that the current process should not have any cells after repartitioning.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestGetWeightCapacity(DM dm, PetscReal *capacity)

Not collective Many br

### Input parameter

dm -the forest Many br

### Output parameter

capacity -this process's capacity Many br

Many br

### See Also

DMForestSetWeightCapacity(), DMForestSetCellWeights(), DMForestSetCellWeightFactor()

Level:advanced
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages